INCLUDES =  $(all_includes) -I../core -I../ipteditor -I../kmfwidgets
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfgenericinterfacepart.la

partrcdir   = $(kde_datadir)/kmfgenericinterfacepart
partrc_DATA = kmfgenericinterfacepartui.rc

libkmfgenericinterfacepart_la_LDFLAGS = -module -no-undefined $(all_libraries) \
	$(KDE_PLUGIN) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfgenericinterfacepart_la_LIBADD = \
	$(LIB_TDEPARTS) ../kmfwidgets/libkmfwidgets.la ../core/libkmfcore.la 

libkmfgenericinterfacepart_la_SOURCES = kmfgenericinterface.cpp \
	kmfgenericinterface_part.cpp kmfgenericinterfaceprotocol.cpp kmfgenericinterfacenat.cpp \
	kmfgenericinterfacehost.cpp kmfgenericinterfacelogging.cpp kmyfirewallgenericinterfacelogging.ui \
	kmfgenericinterfaceicmp.cpp kmyfirewallgenericinterfaceicmp.ui \
	kmyfirewallgenericinterfacehostwidget.ui kmyfirewallgenericinterfacenatwidget.ui \
	kmyfirewallgenericinterfaceprotocolwidget.ui

noinst_HEADERS = kmfgenericinterface.h kmfgenericinterface_part.h \
	kmfgenericinterfaceprotocol.h kmfgenericinterfacenat.h kmfgenericinterfacehost.h \
	kmfgenericinterfacelogging.h kmfgenericinterfaceicmp.h
